import store from './store';

Page((store.register({
  data: {
  },
  onLoad() {
    this.commit({
      inputValue: '',
    });
  },
  onSetInputValue(e) {
    const inputValue = e.detail.value;
    this.commit({
      inputValue,
    });
  },
  onClear() {
    this.commit({
      inputValue: '',
    });
  },
  onConfirm() {
    this.dispatch('onConfirm');
  },
})));
